<?php

// initial editor settings
add_theme_support( 'wp-block-styles' );
add_theme_support( 'align-wide' );
add_theme_support( 'disable-custom-font-sizes' );
add_theme_support( 'disable-custom-colors' );
add_theme_support( 'disable-custom-gradients' );
// add_theme_support( 'custom-line-height' );
// add_theme_support( 'custom-units', 'rem', 'em' );
// remove_theme_support( 'core-block-patterns' );
add_theme_support( 'editor-styles' );
add_editor_style( 'assets/dist/style-editor.css' );


// block colour palettes
add_theme_support( 'editor-color-palette', array(
    array(
        'name'  => esc_attr__( 'White', 'realideas' ),
        'slug'  => 'white',
        'color' => '#ffffff',
    ),
    array(
        'name'  => esc_attr__( 'Black', 'realideas' ),
        'slug'  => 'black',
        'color' => '#000000',
    ),
    array(
        'name'  => esc_attr__( 'Real Pink', 'realideas' ),
        'slug'  => 'real-pink',
        'color' => '#E31D75',
    ),
    array(
        'name'  => esc_attr__( 'Real Yellow', 'realideas' ),
        'slug'  => 'real-yellow',
        'color' => '#FFD968',
    ),
    array(
        'name'  => esc_attr__( 'Real Blue', 'realideas' ),
        'slug'  => 'real-blue',
        'color' => '#009BCD',
    ),
    array(
        'name'  => esc_attr__( 'real-green', 'realideas' ),
        'slug'  => 'real-green',
        'color' => '#45BFA1',
    ),
    array(
        'name'  => esc_attr__( 'Real Purple', 'realideas' ),
        'slug'  => 'real-purple',
        'color' => '#E055A7',
    ),
    array(
        'name'  => esc_attr__( 'Real Orange', 'realideas' ),
        'slug'  => 'real-orange',
        'color' => '#FFA300',
    ),
    array(
        'name'  => esc_attr__( 'Real Grey', 'realideas' ),
        'slug'  => 'real-grey',
        'color' => '#EDEDED',
    ),
) );
