<?php

// register new block category
function ri_register_block_categories( $categories ) {
	
    return array_merge(
		$categories,
		[
			[
				'slug'  => 'real-blocks',
				'title' => __( 'Real Ideas Blocks', 'realideas' ),
			],
		]
	);

}
add_action( 'block_categories_all', 'ri_register_block_categories', 10, 2 );


function ri_register_acf_blocks() {

    register_block_type(get_template_directory() . '/functions/blocks/map');
    // register_block_type(get_template_directory() . '/functions/blocks/slider');
	register_block_type(get_template_directory() . '/functions/blocks/case-studies');
    register_block_type(get_template_directory() . '/functions/blocks/events');
    

}
add_action( 'init', 'ri_register_acf_blocks', 5 );