<?php // Stylesheets and scripts

function wp_dock_enqueues() {
    
    // Stylesheets
    wp_enqueue_style( 'sanitize', 'https://unpkg.com/sanitize.css' );
    wp_enqueue_style( 'parent-main', get_template_directory_uri() . '/assets/css/parent.css', array('sanitize') );
    
    // Scripts
    wp_enqueue_script( 'functions.js', get_template_directory_uri() . '/assets/js/scripts.js', array('jquery'), '', true );
    
}
add_action( 'wp_enqueue_scripts', 'wp_dock_enqueues' );
// End