<?php get_header(); ?>

<main class="page-content">

    <section id="ri-block-editor">
        <?php the_content(); ?>
    </section>

    <section class="container-wrap">
        <div class="container">

            <div class="posts-wrap">

                <h1 class="page-title"><?php single_post_title(); ?></h1>
            
                <?php if ( have_posts() ) { ?>
                <div class="posts-loop">
                    
                    <?php while ( have_posts() ) {
                        the_post();
                        get_template_part( 'template-parts/posts/post', 'preview' );
                    }; ?>

                </div>
                <?php the_posts_pagination();
                } else { ?>
                    <p>No posts to show.</p>
                <?php }; ?>
            
            </div>

            <?php get_sidebar(); ?>  
            
        </div>
    </section>
    
</main>

<?php get_footer(); ?>